Subject: Re: bug#11378: 24.1.50; Suggestion: Let M-i in isearch cycle `search-invisible'

From: Juri Linkov <[email-masked]>
Date: Fri, 15 Feb 2013 11:22:50 +0200

> There is one remaining question:
> do we still need a filter for visible text?

I tend to conclude that a filter for visible text is not needed,
because to handle the value of `search-invisible' correctly
this filter should reside in `isearch-filter-predicates' permanently
that makes little sense.

This assumes that the variable `search-invisible' is not going to be
marked obsolete in favor of filters.  Only in this case filters would
make sense that will require two separate filters: one to just skip
hidden text (implementing the current value `nil' of `search-invisible'),
another filter to open hidden overlays (implementing the value `open' of
`search-invisible'), and no filter means the value `t' of `search-invisible'.

Otherwise, searching in hidden text should handle the variable
`search-invisible' without using filters.